<?php
/*
Plugin Name: Ada Updated Blogs
Plugin URI: http://1uthavi.adadaa.com/new-updated-active-blogs-widgets/
Description: Adds a sidebar widget to let you display updated blogs from WordPressMU.
Author: CAPitalZ
Version: 0.1.2
Author URI: http://adadaa.com/
*/

function ada_updated_blogs_init() {
 
 require_once(dirname(__FILE__) . "/list-all.php");
 
 $widget_title = "Updated Blogs";	// Change this to name the widget

	// Check for the required plugin functions. This will prevent fatal
	// errors occurring when you deactivate the dynamic-sidebar plugin.
	// This widget depends on List-All pluggin by Andrew Billits
	if ( !function_exists('list_all_wpmu_blogs') )
		return;

	// This is the function that gets the values from sidbar widgets and
	// displays it on the output page.
	function widget_aublogs($args) {
		
		// $args is an array of strings that help widgets to conform to
		// the active theme: before_widget, before_title, after_widget,
		// and after_title are the array keys. Default tags: li and h2.
		extract($args);

		// Each widget can store its own options. We keep strings here.
		$options = get_option('widget_aublogs');
		$title = $options['title'];
		$limit = abs($options['limit']);
		$display = $options['display'];

		//$order = $options['order'];
		//hard coded values
		$order = 'updated';
		$begin_wrap = '<li>';
		$end_wrap = '</li>';

		// These lines generate our output.
		echo $before_widget . $before_title . $title . $after_title;
		echo "<ul>\n";
		list_all_wpmu_blogs($limit, $display, $begin_wrap , $end_wrap, $order);
		echo "</ul>\n";
		echo $after_widget;

	}

	// This is the function that outputs the form in the "Sidbar Widgets" page and
	// to let the users edit the widget's options.
	function widget_aublogs_control() {

		// Get our options and see if we're handling a form submission.
		$options = get_option('widget_aublogs');
		if ( !is_array($options) )
			//initial values
			$options = array('title'=>'Updated Blogs', 'limit'=>'10', 'display'=>'name');


		if ( $_POST['aublogs-submit'] ) {

			// Remember to sanitize and format user input appropriately.
			$options['title'] = strip_tags(stripslashes($_POST['aublogs-title']));
			$options['limit'] = strip_tags(stripslashes($_POST['aublogs-limit']));
			$options['display'] = strip_tags(stripslashes($_POST['aublogs-display']));
			//$options['order'] = strip_tags(stripslashes($_POST['aublogs-order']));
			update_option('widget_aublogs', $options);
		}

		// Be sure you format your options to be valid HTML attributes.
		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		$limit = htmlspecialchars($options['limit'], ENT_QUOTES);
		$display = htmlspecialchars($options['display'], ENT_QUOTES);
		//$order = htmlspecialchars($options['order'], ENT_QUOTES);
		
		// Here is our little form segment. Notice that we don't need a
		// complete form. This will be embedded into the existing form.
		echo '<p style="text-align:right;"><label for="aublogs-title">' . __('Title:') . ' <input style="width: 200px;" id="aublogs-title" name="aublogs-title" type="text" value="'.$title.'" /></label></p>';
		echo '<p style="text-align:right;"><label for="aublogs-limit">' . __('Limit:', 'widgets') . ' <input style="width: 200px;" id="aublogs-limit" name="aublogs-limit" type="text" value="'.$limit.'" /></label></p>';

		echo '<p style="text-align:right;"><label for="aublogs-display">' . __('Display:', 'widgets') . ' <select style="width: 100px;" id="aublogs-display" name="aublogs-display">';
			echo '<option value="name" ';
			if($display=='name') { echo 'selected="selected"';}
			echo '>Name</option><option value="url"';
			if($display=='url') { echo 'selected="selected"';}
			echo '>URL</option></select></label></p>';
			
		//echo '<p style="text-align:right;"><label for="aublogs-order">' . __('Order [updated, first_created, last_created]:', 'widgets') . ' <input style="width: 100px;" id="aublogs-order" name="aublogs-order" type="text" value="'.$order.'" /></label></p>';

		echo '<input type="hidden" id="aublogs-submit" name="aublogs-submit" value="1" />';
	}
	
	// This registers our widget so it appears with the other available
	// widgets and can be dragged and dropped into any active sidebars.
	register_sidebar_widget(array($widget_title, 'widgets'), 'widget_aublogs');

	// This registers our optional widget control form. Because of this
	// our widget will have a button that reveals a 300x100 pixel form.
	register_widget_control(array($widget_title, 'widgets'), 'widget_aublogs_control', 300, 150);
}

// Run our code later in case this loads prior to any required plugins.
add_action('widgets_init', 'ada_updated_blogs_init');

?>